<!DOCTYPE html>
<html>

<head>
    <meta charset="utf-8">
    <script type="text/javascript" src="http://ajax.googleapis.com/ajax/libs/jquery/1.3.2/jquery.min.js"></script>
    <script src="https://code.jquery.com/jquery-3.3.1.min.js"></script>
    <script src="node_modules\jquery-validation\dist\jquery.validate.js"></script>
    <link href="https://fonts.googleapis.com/css?family=Lato:300,400" rel="stylesheet">
    <title>Limit character input in the textarea including count</title>
    <link rel="stylesheet" href="css/style.css">
    
</head>

<body>
    <form>
        <h1>Fill the form</h1>
        <form action="#" id="form">
            <label for="name">Name</label></br>
            <input name="name" id="name"> </br>
            <label for="email">Email</label></br>
            <input name="email" id="email"> </br>
            <br>
            <label for="textarea">Message</label><br>
            <textarea id="textarea" rows="7" cols="25" maxlength="250"></textarea><br>
            <span id="rchars">250</span> Character(s) Remaining <br><br><br>
            <input id="submit" type="submit" value="Submit">
    </form>

    <script>
        var maxLength = 250;
            $('textarea').keyup(function () {
                var textlen = maxLength - $(this).val().length;
                $('#rchars').text(textlen);
            });
            
        $("form").validate({
                rules: {
                    name: {
                        required: true
                    },
                    email: {
                        required: true,
                        email: true
                    }
                },
                messages: {
                    name: {
                        required: "Please, enter your name!"
                    },
                    email: {
                        required: "Please, enter your email!",
                        email: "Email address must contain @!"
                    }
                }
        });
    </script>
</body>

</html>